unit LiteUtil;

interface

uses
   Windows;

function Rect(ALeft, ATop, ARight, ABottom: Integer): TRect;
function Bounds(ALeft, ATop, AWidth, AHeight: Integer): TRect;

implementation

function Rect(ALeft, ATop, ARight, ABottom: Integer): TRect;
begin
   with Result do begin
      Left   := ALeft;
      Top    := ATop;
      Right  := ARight;
      Bottom := ABottom;
  end;
end;

function Bounds(ALeft, ATop, AWidth, AHeight: Integer): TRect;
begin
   with Result do begin
      Left   := ALeft;
      Top    := ATop;
      Right  := ALeft + AWidth;
      Bottom := ATop + AHeight;
   end;
end;

end.

